Bug 432482 - Review Request: ocaml-cryptokit - OCaml library of cryptographic and hash functions
Review Request: ocaml-cryptokit - OCaml library of cryptographic and hash fun...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 06:37 EST by Richard W.M. Jones
Modified: 2008-02-16 07:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-16 07:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-12 06:37:43 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-cryptokit.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-cryptokit-1.3-1.fc8.src.rpm
Description: OCaml library of cryptographic and hash functions

SRPM & RPMs pass rpmlint.

OCaml review policy is here:
http://fedoraproject.org/wiki/Packaging/OCaml
Comment 1 Jason Tibbitts 2008-02-15 01:11:21 EST
Builds OK and rpmlint is silent.

I believe the license should be "LGPLv2 with exceptions" as the LICENCE file
describes a set of circumstances under which one of the LGPL clauses may be
avoided.  This doesn't render the software non-free or anything, but it's
still something which needs to be noted.

I need to get a ruling on the duplication of the documentation files which I've seen on some of your packages.  The review guidelines state explicitly that you should not have duplicates in your %files lists and this will usually terminate the build but for some reason duplicating %doc files doesn't.  I've asked for some guidance on the fedora-packaging list.  If I don't see anything negative about the practice by tomorrow, I'll go ahead and approve this.

* source files match upstream:
   9ef339ed4cb15f0c458d0093b90dd249d8d1dfb1b01a1fedc542e67f67a7194f  
   cryptokit-1.3.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* ocaml templates and guidelines are followed.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field doesn't quite match the license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
  ocaml-cryptokit-1.3-1.fc9.x86_64.rpm
   dllcryptokit.so()(64bit)
   ocaml(Cryptokit) = 1f0f8298e13e19d726d354711a8a5f35
   ocaml-cryptokit = 1.3-1.fc9
  =
   libz.so.1()(64bit)
   ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5
   ocaml(Callback) = e5ca1fb5990fac2b7b17cbb1712cffe2
   ocaml(CamlinternalOO) = 6d0d5b328d6db88f403ca4393b4abd38
   ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
   ocaml(Filename) = 633a1e7f590ff5e95124293dbef3b476
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Nat) = 0ea20dd1cc4533fd519b5542a89feb87
   ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(String) = 2c162ab314b2f0a2cfd22d471b2e21ab
   ocaml(Sys) = 0da495f5a80f31899139359805318f28
   ocaml(Unix) = 9a46a8db115947409e54686ada118599
   ocaml(runtime) = 3.10.0

  ocaml-cryptokit-devel-1.3-1.fc9.x86_64.rpm
   ocaml-cryptokit-devel = 1.3-1.fc9
  =
   ocaml-cryptokit = 1.3-1.fc9

* %check is present and all tests pass:
   All tests successful.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
? some duplicated %doc files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Richard W.M. Jones 2008-02-15 12:53:03 EST
Thanks for the review.  I have changed the license as suggested
and I have "unduplicated" the README %doc file, so now only the
LICENSE file is duplicated in both packages.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-cryptokit.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-cryptokit-1.3-2.fc8.src.rpm

This is the diff to the specfile from before:

diff -u -r1.1 ocaml-cryptokit.spec
--- ocaml-cryptokit.spec        12 Feb 2008 11:35:13 -0000      1.1
+++ ocaml-cryptokit.spec        15 Feb 2008 17:50:35 -0000
@@ -3,11 +3,11 @@
 
 Name:           ocaml-cryptokit
 Version:        1.3
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        OCaml library of cryptographic and hash functions
 
 Group:          Development/Libraries
-License:        LGPLv2
+License:        LGPLv2 with exceptions
 URL:            http://pauillac.inria.fr/~xleroy/software.html
 Source0:        http://caml.inria.fr/distrib/bazar-ocaml/cryptokit-1.3.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -99,7 +99,7 @@
 
 %files devel
 %defattr(-,root,root,-)
-%doc README LICENSE Changes doc
+%doc LICENSE Changes doc
 %if %opt
 %{_libdir}/ocaml/*.a
 %{_libdir}/ocaml/*.cmxa
@@ -109,5 +109,9 @@
 
 
 %changelog
+* Fri Feb 15 2008 Richard W.M. Jones <rjones@redhat.com> - 1.3-2
+- Don't duplicate the README file in both packages.
+- Change the license to LGPLv2 with exceptions.
+
 * Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 1.3-1
 - Initial RPM release.
Comment 3 Jason Tibbitts 2008-02-15 12:59:18 EST
The changes look good.  Even duplicating the license file isn't necessary, but I
don't block on it.

APPROVED
Comment 4 Richard W.M. Jones 2008-02-15 13:49:12 EST
New Package CVS Request
=======================
Package Name: ocaml-cryptokit
Short Description: OCaml library of cryptographic and hash functions
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-02-15 18:38:56 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.